#
# spec file for package startup-notification
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           startup-notification
VCS: https://src.suse.de/SLFO-pool/startup-notification#d7193d7e132434b6ee7dc033c7df2ea3915069d24c409cc2fc0bdc6bcbc2e777
Version:        0.12
Release:        160000.2.1
Summary:        Reference Implementation for the Startup-Notification Protocol
License:        LGPL-2.1-or-later
Group:          System/X11/Utilities
URL:            http://www.freedesktop.org/wiki/Software/startup-notification
Source:         http://www.freedesktop.org/software/startup-notification/releases/startup-notification-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-event)

%description
Startup-notification contains a reference implementation of the
startup-notification protocol.

%package -n libstartup-notification-1-0
Summary:        Reference Implementation for the Startup-Notification Protocol
Group:          System/X11/Utilities
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}
#

%description -n libstartup-notification-1-0
Startup-notification contains a reference implementation of the
startup-notification protocol.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       libstartup-notification-1-0 = %{version}
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libstartup-notification-1-0 -p /sbin/ldconfig
%postun -n libstartup-notification-1-0 -p /sbin/ldconfig

%files -n libstartup-notification-1-0
%license COPYING
%doc AUTHORS NEWS ChangeLog
%{_libdir}/*.so.*

%files devel
%{_includedir}/startup-notification-1.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Mar  5 2024 dimstar@opensuse.org
- Drop baselibs.conf: the -32bit packages are no longer needed and
  have not been part of Tumbleweed for a while already (build for
  i586 only enabled in LegacyX86).
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Nov 29 2017 dimstar@opensuse.org
- Replace xorg-x11-devel BuildRequires with pkgconfig(xcb),
  pkgconfig(xcb-aux), pkgconfig(xcb-event) and pkgconfig(x11-xcb).
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed May 18 2011 dimstar@opensuse.org
- Update to version 0.12:
  + Revert a change that break ABI.
* Fri May  6 2011 vuntz@opensuse.org
- Update to version 0.11:
  + Remove Xlib support, use only xcb and x11-xcb
  + Support APPLICATION_ID key
- Drop startup-notification-application-id.patch and
  startup-notification-sn-launcher-screen.patch: fixed upstream.
- Fix License tags: the librarys is LGPLv2+, not GPLv2+.
- Change startup-notification Obsoletes from <= to < now that we
  have a new upstream version.
* Mon Oct 11 2010 vuntz@opensuse.org
- Update packaging to use the shared library packaging policy:
  + Create libstartup-notification-1-0 subpackages.
  + Add Provides/Obsoletes for startup-notification to
    libstartup-notification-1-0
  + Update baselibs.conf accordingly.
* Thu Sep  9 2010 vuntz@opensuse.org
- Add startup-notification-application-id.patch from git: this adds
  support for APPLICATION_ID, which can be used by gnome-shell.
- Add startup-notification-sn-launcher-screen.patch from git: fix
  sn-launcher to use screen number.
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 0.10:
  + Remove useless functions
  + Add XCB backend
- Remove autoreconf call.
- Remove -fno-strict-aliasing from CFLAGS.
- Pass --disable-static to configure and remove .la files.
- Remove gnome-common BuildRequires.
- Do not package empty README.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Oct 29 2007 sbrabec@suse.cz
- Reordered spec file sections to make OBS rewriting of Requires
  working properly.
- Spec file cleanup.
- Fixed devel Requires.
* Thu Aug  2 2007 maw@suse.de
- Update to version 0.9:
  + plug some memory leaks
  + fix compilation on sun boxen
- Add some Requires to the -devel subpackage
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 27 2005 mls@suse.de
- move so symlink to devel package
- make devel package require base package
* Thu Jan 20 2005 gekker@suse.de
- Update to version 0.8
* Thu Dec 16 2004 gekker@suse.de
- Update to version 0.7
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Wed Apr 28 2004 ro@suse.de
- added -fno-strict-aliasing
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jan 29 2003 hhetter@suse.de
- updated to version 0.5
* Thu Jan 23 2003 meissner@suse.de
- lib64 fix.
* Thu Jan 16 2003 hhetter@suse.de
- initial SuSE package
